%define kdedir %(echo `kde4-config --prefix`)
%define qtver  %(echo `rpm -q --queryformat '%{VERSION}-%{RELEASE}' libqt4-devel`)
%define kdever %(echo `kde4-config --kde-version`)
%define libname lib%{name}

Name:          kdesvn
Version:       2.0.0
Release:       1mamba
Summary:       A subversion client for KDE
Group:         Graphical Desktop/Applications/Development
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://kdesvn.alwins-world.de
Source:        http://kde.mirror.anlx.net/stable/kdesvn/%{version}/kdesvn-%{version}.tar.xz
#Source:        http://kdesvn.alwins-world.de/downloads/kdesvn-%{version}.tar.bz2
Patch0:        %{name}-1.5.5-qt-4.8.patch
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: kdelibs-devel
BuildRequires: libapr-devel
BuildRequires: libaprutil-devel
BuildRequires: libdb47-devel
BuildRequires: libexpat-devel
BuildRequires: libgcc
BuildRequires: libgdbm-devel
BuildRequires: libopenldap-devel
BuildRequires: libqt4-devel
BuildRequires: libsoprano-devel
BuildRequires: libstdc++6-devel
BuildRequires: libuuid-devel
BuildRequires: subversion-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: libpng-devel
BuildRequires: libjpeg-devel
BuildRequires: libneon-devel >= 0.24.7
Requires:      kdelibs >= %{kdever}
Requires:      subversion >= 1.2.3
Requires:      kdiff3
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
KDESvn is a frontend to the subversion vcs.
In difference to most other tools it uses the subversion C-Api direct via a c++ wrapper made by Rapid SVN and doesn't parse the output of the subversion client.
So it is a real client itself instead of a frontend to the command line tool.

%package devel
Group:         Development/Applications
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
KDESvn is a frontend to the subversion vcs. 
In difference to most other tools it uses the subversion C-Api direct via a c++ wrapper made by Rapid SVN and doesn't parse the output of the subversion client.
So it is a real client itself instead of a frontend to the command line tool.

This package contains static libraries and header files need for development

%package -n %{libname}
Group:         Graphical Desktop/Libraries/KDE
Summary:       Shared libraries needed by kdesvn

%description -n %{libname}
KDESvn is a frontend to the subversion vcs. 
In difference to most other tools it uses the subversion C-Api direct via a c++ wrapper made by Rapid SVN and doesn't parse the output of the subversion client.
So it is a real client itself instead of a frontend to the command line tool.

This package contains the shared library needed to run kdesvn.

%prep
%setup -q
#%patch0 -p1

%build
%cmake_kde5 \
   -DCMAKE_BUILD_TYPE=release

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall DESTDIR=%{buildroot}

%find_lang %{name}

## these files conflict with kdesdk >= 3.5.3
#rm -f %{buildroot}%{_kdedatadir}/services/svn+file.protocol
#rm -f %{buildroot}%{_kdedatadir}/services/svn+http.protocol
#rm -f %{buildroot}%{_kdedatadir}/services/svn+https.protocol
#rm -f %{buildroot}%{_kdedatadir}/services/svn+ssh.protocol
#rm -f %{buildroot}%{_kdedatadir}/services/svn.protocol

#install -d %{buildroot}%{_mandir}/man1
#mv %{buildroot}%{_kde4_sharedir}/man/man1/*.1 \
#   %{buildroot}%{_mandir}/man1/

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%{_kde5_bindir}/kdesvn
%{_kde5_bindir}/kdesvnaskpass
%{_libdir}/qt5/plugins/kdesvnpart.so
%{_libdir}/qt5/plugins/kf5/kded/kdesvnd.so
%{_libdir}/qt5/plugins/kio_ksvn.so
%{_kde5_datadir}/kconf_update/kdesvn*
%{_kde5_datadir}/kdesvn
%{_kde5_sharedir}/config.kcfg/kdesvn_part.kcfg
%{_kde5_htmldir}/en
%lang(nl) %{_kde5_htmldir}/nl
%{_kde5_icondir}/hicolor
%{_datadir}/applications/org.kde.kdesvn.desktop
%{_kde5_servicesdir}/ServiceMenus/kdesvn_subversion*.desktop
%{_kde5_servicesdir}/kdesvnpart.desktop
%{_kde5_servicesdir}/*.protocol
%{_datadir}/dbus-1/interfaces/kf5_org.kde.kdesvnd.xml
%{_datadir}/dbus-1/services/org.kde.kdesvnd.service
%{_datadir}/kxmlgui5/kdesvn/*.rc
#%{_mandir}/man1/kdesvn.1*
#%{_mandir}/man1/kdesvnaskpass.1*
#%lang(nl) %{_mandir}/nl/man1/kdesvn.1*
#%lang(nl) %{_mandir}/nl/man1/kdesvnaskpass.1*
#%lang(pt_BR) %{_mandir}/pt_BR/man1/kdesvn.1*
#%lang(pt_BR) %{_mandir}/pt_BR/man1/kdesvnaskpass.1*
#%lang(sv) %{_mandir}/sv/man1/kdesvn.1*
#%lang(sv) %{_mandir}/sv/man1/kdesvnaskpass.1*
#%lang(uk) %{_mandir}/uk/man1/kdesvn.1*
#%lang(uk) %{_mandir}/uk/man1/kdesvnaskpass.1*
#%{_kde5_sharedir}/svnqt/i18n/*.qm
#%{_datadir}/dbus-1/interfaces/org.kde.kdesvnd.xml
%lang(de) %dir %{_kde5_htmldir}/de/kdesvn
%lang(de) %{_kde5_htmldir}/de/kdesvn/*
%lang(pt_BR) %dir %{_kde5_htmldir}/pt_BR/kdesvn
%lang(pt_BR) %{_kde5_htmldir}/pt_BR/kdesvn/*
%lang(sv) %dir %{_kde5_htmldir}/sv/kdesvn
%lang(sv) %{_kde5_htmldir}/sv/kdesvn/*
%lang(uk) %dir %{_kde5_htmldir}/uk/kdesvn
%lang(uk) %{_kde5_htmldir}/uk/kdesvn/*
#%doc AUTHORS COPYING

#%files devel
#%defattr(-,root,root)
#%{_kde5_libdir}/libsvnqt.a
#%{_kde4_libdir}/libsvnqt.so
#%{_kde4_includedir}/svnqt/cache/*.h
#%{_kde4_includedir}/svnqt/repoparameter.cpp
#%{_kde4_includedir}/svnqt/*.h
#%doc ChangeLog TODO

#%files -n %{libname}
#%defattr(-,root,root)

%changelog
* Sun Dec 11 2016 Automatic Build System <autodist@mambasoft.it> 2.0.0-1mamba
- automatic version update by autodist

* Sat Jan 23 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 1.7.0-1mamba
- update to 1.7.0

* Tue Apr 14 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 1.6.0-4mamba
- require kdiff3

* Wed Sep 04 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.6.0-3mamba
- removed requirement for obsoleted kdesdk

* Sat Oct 13 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.6.0-2mamba
- remove explicit requirement for libqt

* Mon Aug 06 2012 Automatic Build System <autodist@mambasoft.it> 1.6.0-1mamba
- automatic version update by autodist

* Sun Aug 29 2010 Automatic Build System <autodist@mambasoft.it> 1.5.4-1mamba
- automatic update by autodist

* Fri Jun 04 2010 Automatic Build System <autodist@mambasoft.it> 1.5.3-1mamba
- update to 1.5.3

* Thu Jan 01 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.4-1mamba
- update to 1.0.4

* Fri Jul 18 2008 gil <puntogil@libero.it> 0.14.6-1mamba
- update to 0.14.6

* Sat May 05 2007 Davide Madrisan <davide.madrisan@gmail.com> 0.12.0-1mamba
- update to 0.12.0

* Wed Apr 18 2007 Davide Madrisan <davide.madrisan@gmail.com> 0.11.2-1mamba
- update to version 0.11.2 by autospec
- specfile modified to support the now building system based on cmake

* Fri Jun 30 2006 Stefano Cotta Ramusino <stefano.cotta@qilinux.it> 0.8.5-1qilnx
- update to version 0.8.5 by autospec

* Tue Jun 13 2006 Davide Madrisan <davide.madrisan@qilinux.it> 0.8.4-1qilnx
- update to version 0.8.4 by autospec
- added build requirements for libapr1-devel and libaprutil1-devel

* Wed Nov 16 2005 Massimo Pintore <massimo.pintore@qilinux.it> 0.6.3-1qilnx
- package created by autospec
